Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I've got an winforms application and I want to implement auto updater to this application. I followed the instructions on the site and got everything setup right. (appupdater application) Now I tried a test and I'm getting the following error back from the appupdater: the remote server returned an error 405

I googled this and this is because my server isn't setup with the right access. I'm using a wampserver and in the apache httpd.conf I added the following lines so my directory is allowed for access:

<Directory "c:/wamp/www/updater/V11/">
    Options Indexes FollowSymLinks

    AllowOverride all

#   onlineoffline tag - don't remove
    Order Deny,Allow
    Deny from all
    Allow from 127.0.0.1
</Directory>

But I'm still getting the same error back. I can find information for the IIS configurations, but not for apache.

edit: I'm still getting the error, I opened the error log file of apache and I see the following -> "PROPFIND /updater/V11/ HTTP/1.1" 405 238 the updater component is using the HTTP-DAV.

edit2: it seems that nobody had this kind of situation.

share|improve this question

1 Answer 1

There's your problem:

Order Deny,Allow
Deny from all
Allow from 127.0.0.1

Change to:

Order Allow,Deny
Deny from none
Allow from all
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.